<template>
  
  <div class="canvas" ref="canvas"></div>
 
 </template>

<script lang='ts' setup>

import * as THREE from 'three'

const canvas = ref(null)

context.scene = new THREE.Scene()
context.scene.background = new THREE.Color('rgba(31, 80, 128, 1)')

const { clientWidth: w, clientHeight: h } = canvas.value
context.camera = new THREE.PerspectiveCamera(
  75,
  w / h,
  0.1,
  1000
)


</script>



<style lang='scss' scoped>

</style>